
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactUikitBase = require('react-uikit-base');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Codeblock = function Codeblock(props) {
  // CSS classes
  var cssClassNames = _reactUikitBase.helpers.cleanClasses([props.classes, props.lang, props.className]);

  // Remove non valid html attributes
  var ignoreProps = ['children', 'classes', 'kitid', 'lang', 'syntax'];

  var cleanProps = _reactUikitBase.helpers.cleanProps(ignoreProps)(props);

  // Return Component
  return _react2.default.createElement(
    'pre',
    _extends({}, cleanProps, (0, _reactUikitBase.events)(props), {
      className: cssClassNames,
      'data-kitid': props.kitid
    }),
    _react2.default.createElement(
      'code',
      null,
      props.children
    )
  );
};

Codeblock.propTypes = {
  children: _react2.default.PropTypes.any,
  className: _react2.default.PropTypes.string,
  classes: _react2.default.PropTypes.array,
  kitid: _react2.default.PropTypes.string,
  lang: _react2.default.PropTypes.string,
  syntax: _react2.default.PropTypes.string
};

exports.default = (0, _reactUikitBase.base)(Codeblock);